import { ArgumentValue, CdmCorpusContext, CdmParameterDefinition, ParameterCollection, ParameterValue, resolveOptions, spewCatcher } from '../internal';
/**
 * @internal
 */
export declare class ParameterValueSet {
    pc: ParameterCollection;
    values: ArgumentValue[];
    wasSet: boolean[];
    ctx: CdmCorpusContext;
    constructor(ctx: CdmCorpusContext, pc: ParameterCollection, values: ArgumentValue[], wasSet: boolean[]);
    get length(): number;
    indexOf(paramDef: CdmParameterDefinition): number;
    fetchParameterAtIndex(i: number): CdmParameterDefinition;
    fetchValue(i: number): ArgumentValue;
    fetchValueString(resOpt: resolveOptions, i: number): string;
    fetchParameterValueByName(pName: string): ParameterValue;
    setParameterValue(resOpt: resolveOptions, pName: string, value: ArgumentValue): void;
    copy(): ParameterValueSet;
    spew(resOpt: resolveOptions, to: spewCatcher, indent: string): void;
}
